Token follower history

GET /token/{id}/follower-history
GetTokenIdFollowerHistory

Total follower counts over time for the token. Query by days.

Parameters

id string PATH required

Token identifier. Accepts internal token_id (integer) or coingecko_id (string, e.g. bitcoin).

Example:bitcoin

days integer QUERY

Lookback window in days.

Example:30

cURL Example

curl --request GET \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/token/bitcoin/follower-history' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

200 OK
400 Bad Request ErrorResponse

Media type application/json

data
array<object> optional

Follower history points for tracked project/handle accounts.

data[].followers_count
integer (int64) optional

Total followers at the snapshot timestamp.

data[].snapshot_at
string (date-time) optional

UTC timestamp of the follower snapshot.

{
  "data": [
    {
      "followers_count": 0,
      "snapshot_at": "2026-01-15T12:00:00Z"
    }
  ]
}